//
//  ICeCoffEENonHighlightingButtonCell.m
//  ICeCoffEE APE
//
//  Created by Nicholas Riley on Fri Jun 06 2003.
//  Copyright (c) 2003 Nicholas Riley. All rights reserved.
//

#import "ICeCoffEENonHighlightingButtonCell.h"


@implementation ICeCoffEENonHighlightingButtonCell

- (NSColor *)highlightColorWithFrame:(NSRect)cellFrame inView:(NSView *)controlView
{
    return [NSColor whiteColor];
}

- (NSCellStateValue)nextState;
{
    switch ([self intValue]) {
        case NSOnState:
        case NSMixedState:
            return NSOffState;
        case NSOffState:
            return NSOnState;
    }
    return NSMixedState;
}

@end
